# nvme-error-log(1) Manual Page

## NAME

nvme-error-log - Send NVME Error log page request, return result and log

## SYNOPSIS

    nvme error-log <device> [--log-entries=<entries> | -e <entries>]
                            [--raw-binary | -b]
                            [--output-format=<fmt> | -o <fmt>] [--verbose | -v]

## DESCRIPTION

Retrieves NVMe Error log page from an NVMe device and provides the returned structure.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

On success, the returned error log structure may be returned in one of several ways depending on the option flags; the structure may parsed by the program and printed in a readable format or the raw buffer may be printed to stdout for another program to parse.

## OPTIONS

-e <entries>
--log-entries=<entries>

  Specifies how many log entries the program should request from the device. This must be at least one, and shouldn’t exceed the device’s capabilities. Defaults to 64 log entries.

-b
--raw-binary

  Print the raw error log buffer to stdout.

-o <fmt>
--output-format=<fmt>

  Set the reporting format to normal, json or binary. Only one output format can be used at a time.

-v
--verbose

  Increase the information detail in the output.

## EXAMPLES

- Get the error log and print it in a human readable format:

      # nvme error-log /dev/nvme0

- Print the raw output to a file:

      # nvme error-log /dev/nvme0 --raw-binary > error_log.raw

  It is probably a bad idea to not redirect stdout when using this mode.

## NVME

Part of the nvme-user suite